#!/bin/sh

# -----------------------------------------------------------
# The targets are the different build scripts.
# The default "dist" is suggested
# 
# "core"           target builds JetSpeed core classes
# "clean"          target removes bin directory
# "dist"           target builds "core" + jar file
#
# -----------------------------------------------------------
TARGET=${1}
# TARGET=core
# TARGET=clean
# TARGET=dist

ECS=../lib/ecs.jar
TURBINE=../lib/turbine-2.0.jar
COCOON=../lib/cocoon.jar:../lib/cocoon-ext-servlet2.2.jar
CASTOR=../lib/castor-0.7.4.jar
VILLAGE=../lib/village.jar
XALAN=../lib/xalan.jar
XERCES=../lib/xerces.jar

#-------------------------------------------------------------------
# Define the path to your JSDK
#-------------------------------------------------------------------
JSDK=/java/lib/jsdk.jar

#--------------------------------------------
# No need to edit anything past here
#--------------------------------------------
if test -z "${TARGET}"; then 
TARGET=dist
fi

CP=${CLASSPATH}:${JSDK}:${ECS}:${TURBINE}:${COCOON}:${CASTOR}:${VILLAGE}:${XALAN}:${XERCES}:ant.jar:projectx-tr2.jar

BUILDFILE=build.xml

java -classpath ${CP} org.apache.tools.ant.Main -buildfile ${BUILDFILE} ${TARGET}
